<?php

namespace App\Controller;

use App\Container;
use App\Router\Request\IRequest;
use App\Router\Response\Response;
use Shared\Attributes\Route;
use Twig\Environment;

// TODO : Remove this BaseClass
class Controller extends BaseController
{
    private Environment $twig;

    public function __construct()
    {
       session_start();
    }

    #[Route(path: '/', name: 'home', methods: ['GET'])] // 8
    public function index(): Response
    {
        return $this->render('./page/home.html.twig',[
            'pp' => "test2",
            'user' => "Ladmion le Cochon",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }

    #[Route(path: '/exercice', name: 'exercice', methods: ['GET'])] // 8
    public function exercice(): Response
    {
        return $this->render('./page/exercice.html.twig',[
            'pp' => "test2",
            'user' => "Ladmion le Cochon",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }

    #[Route(path: '/friend', name: 'friend', methods: ['GET'])] // 8
    public function friend(): Response
    {
        return $this->render('./page/friend.html.twig',[
            'pp' => "test2",
            'user' => "Ladmion le Cochon",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }

    #[Route(path: '/coaching', name: 'coaching', methods: ['GET'])] // 8
    public function coaching(): Response
    {
        return $this->render('./page/coaching.html.twig',[
            'pp' => "test2",
            'user' => "Ladmion le Cochon",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }

    #[Route(path: '/mail', name: 'mail', methods: ['GET'])] // 8
    public function mail(): Response
    {
        return $this->render('./page/mail.html.twig',[
            'pp' => "test2",
            'user' => "Ladmion le Cochon",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }

    #[Route(path: '/import', name: 'import', methods: ['GET'])] // 8
    public function import(): Response
    {
        return $this->render('./page/import.html.twig',[
            'pp' => "test2",
            'user' => "Ladmion le Cochon",
            'role' => "Athlète",
            'friendship' => [],
            'analyzes' => [],
            'mails' => [],
            'users' => [],
            'infoUser' => [],
            'exos' => [],
            'member' => []
        ]);
    }




    #[Route(path: '/hello', name: 'hello', methods: ['GET'])]
    public function hello(): Response
    {
        return new Response('Hello');
    }

    #[Route(path: '/hi', name: 'hi', methods: ['GET'])]
    public function hi(string $name, IRequest $req): Response
    {
        return new Response($name);
    }

}



